Version 1.2.0
~~~~~~~~~~~~~
Released: 2018-11-07

New Features:
 - Add a plugin for an upcoming Dell USB-C dock (Mario Limonciello)
 - Add a standalone installer creation script (Mario Limonciello)
 - Add support for devices to show an estimated flash time (Mario Limonciello)
 - Add support for some new Realtek USB devices (Richard Hughes)
 - Allow firmware files to depend on versions from other devices (Richard Hughes)
 - Allow setting the version format from a quirk entry (Richard Hughes)
 - Port from libappstream-glib to libxmlb for a large reduction in RSS (Richard Hughes)
 - Stop any running daemon over dbus when using fu-tool (Mario Limonciello)
 - Support the Intel ME version format (Richard Hughes)

Bugfixes:
 - Add version format quirks for several Lenovo machines (Richard Hughes)
 - Adjust panamera ESM update routine for some reported issues (Mario Limonciello)
 - Adjust synapticsmst EVB board handling (Mario Limonciello, RyanChang)
 - Check the amount of free space on the ESP (Richard Hughes)
 - Don't show devices pending a reboot in GetUpgrades (Mario Limonciello)
 - Ensure that parent ID is created before creating quirked children (Mario Limonciello)
 - Optionally wait for replug before updating a device (Mario Limonciello)
 - Set the full AMT device version including the BuildNum (Richard Hughes)
 - Sort the firmware sack by component priority (Richard Hughes)
 - Stop showing errors when no Dell dock plugged in (Mario Limonciello)
 - Stop showing the current release during updates in fwupdmgr (Mario Limonciello)
 - Update all sub-devices for a composite update (Mario Limonciello)
 - Use HTTPS_PROXY if set (Richard Hughes)

Version 1.1.2
~~~~~~~~~~~~~
Released: 2018-09-10

New Features:
 - Add a new device flag "ignore-validation" that will override checks (Mario Limonciello)
 - Add a new plugin to enumerate EC firmware (Richard Hughes)
 - Add a new plugin to update NVMe hardware (Richard Hughes, Mario Limonciello)
 - Add a plugin for updating using the flashrom command line tool (Richard Hughes)
 - Allow the device list to take care of waiting for the device replug (Richard Hughes)
 - Allow updating just one specific device from the command line (Richard Hughes)
 - Allow upgrades using a self-signed fwupd.efi binary (Richard Hughes)
 - Download firmware if the user specifies a URI (Richard Hughes)
 - Include serial number in daemon device output when trusted (Mario Limonciello)
 - Notify all plugins of device removals through a new vfunc (Mario Limonciello)
 - Use boltd force power API if available (Mario Limonciello)

Bugfixes:
 - Add an install hook for classic snap (Mario Limonciello)
 - Allow forcing installation even if no AC power is applied (Mario Limonciello)
 - Allow using --force to ignore version_lowest (Mario Limonciello)
 - Always use the same HardwareIDs as Windows (Richard Hughes)
 - Check the device state before assuming a fake DFU runtime (Richard Hughes)
 - Copy over parent GUIDs from other plugin donors (Mario Limonciello)
 - Detect location of python3 interpreter (Mario Limonciello)
 - Do not add udev devices after a small delay (Richard Hughes)
 - Don't fail to run if compiled without GPG/PKCS7 (Salud Lemus, Mario Limonciello)
 - Fix a segfault in fwupdtool caused by cleanup of USB plugins (Mario Limonciello)
 - Implement the systemd recommendations for offline updates (Richard Hughes)
 - Improve performance when reading keys from the quirk database (Richard Hughes)
 - Remove children of devices when the parent is removed (Mario Limonciello)
 - Rewrite synapticsmst to use modern error handling (Mario Limonciello)
 - Rewrite the unifying plugin to use the new daemon-provided functionality (Richard Hughes)
 - Show a time estimate on the progressbar after an update has started (Mario Limonciello)

Version 1.1.1
~~~~~~~~~~~~~
Released: 2018-08-13

New Features:
 - Add support for the Synaptics Panamera hardware (Mario Limonciello)
 - Add validation for Alpine and Titan Ridge (Andrei Emeltchenko, Mika Westerberg)
 - Improve the Redfish plugin to actually work with real hardware (Gary Lin)

Bugfixes:
 - Allow different plugins to add the same device (Richard Hughes)
 - Allow flashing unifying devices in recovery mode (Richard Hughes)
 - Allow running synapticsmst on non-Dell hardware (Mario Limonciello)
 - Check the ESP for sanity at at startup (Richard Hughes, Mario Limonciello)
 - Do not hold hidraw devices open forever (Richard Hughes)
 - Don't override _FORTIFY_SOURCE when building the EFI binary (Richard Hughes)
 - Don't show passwords in fwupdmgr (Richard Hughes, Mario Limonciello)
 - Fix a potential segfault in smbios data parsing (Mario Limonciello)
 - Fix encoding the GUID into the capsule EFI variable (Mario Limonciello)
 - Fix various bugs when reading the thunderbolt version number (Mika Westerberg)
 - Reboot synapticsmst devices at the end of flash cycle (Mario Limonciello)
 - Show status messages when the daemon is initializing (Mario Limonciello)
 - Show the correct title when updating devices (Richard Hughes, Mario Limonciello)
 - Show the reasons that plugins are not run on the CLI (Mario Limonciello)
 - Use localedir in po/make-images (Jan Tojnar)

Version 1.1.0
~~~~~~~~~~~~~
Released: 2018-07-11

New Features:
 - Add a initial Redfish support (Richard Hughes)
 - Add a tool to mimic the original fwupdate CLI interface (Richard Hughes)
 - Allow devices to assign a plugin from the quirk subsystem (Richard Hughes)
 - Change the quirk file structure to be more efficient (Richard Hughes)
 - Merge fwupdate functionality into fwupd (Richard Hughes, Mario Limonciello)
 - Run a plugin vfunc before and after all the composite devices are updated (Richard Hughes)
 - Support more Wacom tablets (Richard Hughes)

Bugfixes:
 - Add release information for locked devices (Richard Hughes)
 - Allow building with older meson (Mario Limonciello)
 - Detect the EFI system partition location at runtime (Mario Limonciello)
 - Do not use 8bitdo bootloader commands after a successful flash (Richard Hughes)
 - Enable accesing downloaded files in flatpak and snap (Mario Limonciello)
 - Fix a potential buffer overflow when applying a DFU patch (Richard Hughes)
 - Fix downgrading older releases to devices (Richard Hughes)
 - Fix flashing devices that require a manual replug (Richard Hughes)
 - Fix several small memory leaks in various places (Richard Hughes)
 - Fix the retrieval of Redfish version (Gary Lin)
 - Fix unifying failure to detach when using a slow host controller (Richard Hughes)
 - Set the Wacom device status when erasing and writing firmware (Richard Hughes)
 - Show errors in the CLI if unable to access directory (Mario Limonciello)
 - Use the parent device name for Wacom sub-modules (Richard Hughes)

Version 1.0.8
~~~~~~~~~~~~~
Released: 2018-06-07

New Features:
 - Add an plugin to update some future Wacom tablets (Richard Hughes)
 - Add 'fwupdmgr get-topology' to show logical device tree (Richard Hughes, Mario Limonciello)
 - Add support for creating a flatpak (Richard Hughes)
 - Add support for creating a snap (Mario Limonciello, Richard Hughes)
 - Add support for Motorola S-record files (Richard Hughes)
 - Add the Linux Foundation public GPG keys for firmware and metadata (Richard Hughes)
 - Show a translated warning when the server is limiting downloads (Richard Hughes)

Bugfixes:
 - Add a firmware diagnostic tool called fwupdtool (Richard Hughes, Mario Limonciello)
 - Adjust all licensing to LGPL 2.1+ (Mario Limonciello)
 - Allow installing more than one firmware using 'fwupdmgr install' (Richard Hughes)
 - Allow specifying hwids with OR relationships (Richard Hughes)
 - Do not call fu_plugin_init() on blacklisted plugins (Richard Hughes)
 - Do not require libcolorhug to build (Richard Hughes)
 - Fix a crash in libfwupd where no device ID is set (Richard Hughes)
 - Fix a potential DoS in libdfu by limiting holes to 1MiB (Richard Hughes)
 - Fix a segfault that sometimes occurs during cleanup of USB plugins (Mario Limonciello)
 - Fix Hardware-ID{0,1,2,12} compatibility with Microsoft (Gergely Risko)
 - Hide devices that aren't updatable by default in fwupdmgr (Mario Limonciello)
 - Search all UEFI GUIDs when matching hardware (Richard Hughes, Mario Limonciello)
 - Stop matching Nintendo Switch Pro in the 8bitdo plugin (Mario Limonciello)

Version 1.0.7
~~~~~~~~~~~~~
Released: 2018-04-30

New Features:
 - Add enable-remote and disable-remote commands to fwupdmgr (Richard Hughes)
 - Add fu_plugin_add_compile_version() for libraries to use (Richard Hughes)
 - Allow requiring specific versions of libraries for firmware updates (Richard Hughes)
 - If no remotes are enabled try to enable the LVFS (Mario Limonciello)
 - Show a warning with interactive prompt when enabling a remote (Richard Hughes)

Bugfixes:
 - Check that EFI system partition is mounted before update (Mario Limonciello)
 - Disable synapticsmst remote control on failure (Sjoerd Simons)
 - Don't recoldplug thunderbolt to fix a flashing failure (Mario Limonciello)
 - Fix SQL error when running 'fwupdmgr clear-offline' (Richard Hughes)
 - Improve the update report message (Mario Limonciello)
 - Only enumerate Dell Docks if the type is known (Sjoerd Simons)
 - Only run certtool if a new enough gnutls is present (Mario Limonciello)
 - Prevent a client crash if the daemon somehow sends invalid data (Richard Hughes)
 - Reboot after scheduling using logind not systemd (Richard Hughes)
 - Use the right encoding for the label in make-images (Niels Ole Salscheider)

Version 1.0.6
~~~~~~~~~~~~~
Released: 2018-03-12

New Features:
 - Add bash completion for fwupdmgr (Mario Limonciello)
 - Add support for newest Thunderbolt chips (Andrei Emeltchenko)
 - Allow all functions that take device arguments to be prompted (Mario Limonciello)
 - Allow devices to use the runtime version when in bootloader mode (Richard Hughes)
 - Allow overriding ESP mount point via conf file (Mario Limonciello)
 - Delete any old fwupdate capsules and efivars when launching fwupd (Richard Hughes)
 - Generate Vala bindings (Robert Ancell)

Bugfixes:
 - Allow ctrl-d out of the prompt for devices (Mario Limonciello)
 - Allow to create package out of provided binary (Andrei Emeltchenko)
 - Correct handling of unknown Thunderbolt devices (Yehezkel Bernat)
 - Correctly detect new remotes that are manually copied (Richard Hughes)
 - Fix a crash related to when passing device to downgrade in CLI (Mario Limonciello)
 - Fix running the self tests when no fwupd is installed (Richard Hughes)
 - Fix Unifying signature writing and parsing for Texas bootloader (Ogier Bouvier)
 - Only send success and failure reports to the server (Richard Hughes)
 - Use a CNAME to redirect to the correct CDN for metadata (Richard Hughes)
 - Use a longer timeout when powering back the Thunderbolt device (Richard Hughes)

Version 1.0.5
~~~~~~~~~~~~~
Released: 2018-02-14

New Features:
 - Offer to reboot when processing an offline update (Richard Hughes)
 - Report the efivar, libsmbios and fwupdate library versions (Mario Limonciello)
 - Report Thunderbolt safe mode and SecureBoot status (Mario Limonciello)
 - Show the user a URL when they report a known problem (Richard Hughes)
 - Support split cabinet archives as produced by Windows Update (Richard Hughes)

Bugfixes:
 - Be more careful deleting and modifying device history (Richard Hughes)
 - Clarify which devices don't have upgrades (Mario Limonciello)
 - Ensure the Thunderbolt version is xx.yy (Richard Hughes)
 - Fix a daemon warning when using fwupdmgr get-results (Richard Hughes)
 - Fix crasher with MST flashing (Mario Limonciello)
 - Fix DFU detach with newer releases of libusb (Richard Hughes)
 - Include the device VID and PID when generating the device-id (Richard Hughes)
 - Set the RemoteId when using GetDetails (Richard Hughes)
 - Stop matching 8bitdo DS4 controller VID/PID (Mario Limonciello)
 - Use help2man for dfu-tool and drop docbook dependencies (Mario Limonciello)
 - Use ngettext for any strings with plurals (Piotr Drąg)
 - Use the default value if ArchiveSizeMax is unspecified (Richard Hughes)

Version 1.0.4
~~~~~~~~~~~~~
Released: 2018-01-25

New Features:
 - Add D-Bus methods to get and modify the history information (Richard Hughes)
 - Allow the user to share firmware update success or failure (Richard Hughes)
 - Ask the user to refresh metadata when it is very old (Richard Hughes)
 - Store firmware update success and failure to a local database (Richard Hughes)

Bugfixes:
 - Add a device name for locked UEFI devices (Mario Limonciello)
 - Allow each plugin to opt-in to the recoldplug action (Richard Hughes)
 - Fix firmware downloading using gnome-software (Richard Hughes)
 - Fix UX capsule reference to the one specified in efivar (Mario Limonciello)
 - Never add two devices to the daemon with the same ID (Richard Hughes)
 - Rescan supported flags when refreshing metadata (Richard Hughes)

Version 1.0.3
~~~~~~~~~~~~~
Released: 2018-01-09

New Features:
 - Add a new plugin to add support for CSR "Driverless DFU" (Richard Hughes)
 - Add initial SF30/SN30 Pro support (Mario Limonciello)
 - Support AppStream metadata with relative <location> URLs (Richard Hughes)

Bugfixes:
 - Add more metadata to the user-agent string (Richard Hughes)
 - Block owned Dell TPM updates (Mario Limonciello)
 - Choose the correct component from provides matches using requirements (Richard Hughes)
 - Do not try to parse huge compressed archive files (Richard Hughes)
 - Fix a double-free bug in the Udev code (Philip Withnall)
 - Handle Thunderbolt "native" mode (Yehezkel Bernat)
 - Use the new functionality in libgcab >= 1.0 to avoid writing temp files (Richard Hughes)

Version 1.0.2
~~~~~~~~~~~~~
Released: 2017-11-28

New Features:
 - Add a plugin for the Nitrokey Storage device (Richard Hughes)
 - Add support for the original AVR DFU protocol (Richard Hughes)
 - Allow different plugins to claim the same device (Richard Hughes)
 - Allow quirks to set common USB properties (Richard Hughes)
 - Move a common plugin functionality out to a new shared object (Richard Hughes)
 - Optionally delay the device removal for better replugging (Richard Hughes)
 - Set environment variables to allow easy per-plugin debugging (Richard Hughes)
 - Use a SHA1 hash for the internal DeviceID (Richard Hughes)

Bugfixes:
 - Add quirk for AT32UC3B1256 as used in the RubberDucky (Richard Hughes)
 - Disable the dell plugin if libsmbios fails (Mario Limonciello)
 - Don't register for USB UDev events to later ignore them (Richard Hughes)
 - Fix a possible buffer overflow when debugging ebitdo devices (Richard Hughes)
 - Fix critical warning when more than one remote fails to load (Richard Hughes)
 - Fix DFU attaching AVR32 devices like the XMEGA (Richard Hughes)
 - Ignore useless Thunderbolt device types (Mario Limonciello)
 - Refactor ColorHug into a much more modern plugin (Richard Hughes)
 - Release the Steelseries interface if getting the version failed (Richard Hughes)
 - Remove autoconf-isms from the meson configure options (Richard Hughes)
 - Show a nicer error message if the requirement fails (Richard Hughes)
 - Sort the output of GetUpgrades correctly (Richard Hughes)

Version 1.0.1
~~~~~~~~~~~~~
Released: 2017-11-09

New Features:
 - Add support for HWID requirements (Richard Hughes)
 - Add support for programming various AVR32 and XMEGA parts using DFU (Richard Hughes)
 - Add the various DFU quirks for the Jabra Speak devices (Richard Hughes)
 - Allow specifying the output file type for 'dfu-tool read' (Richard Hughes)
 - Move the database of supported devices out into runtime loaded files (Richard Hughes)
 - Support the IHEX record type 0x05 (Richard Hughes)
 - Use help2man to generate the man page at build time (Richard Hughes)
 - Use the new quirk infrastructure for version numbers (Richard Hughes)

Bugfixes:
 - Catch invalid Dell dock component requests (Mario Limonciello)
 - Correctly output Intel HEX files with > 16bit offset addresses (Richard Hughes)
 - Do not try to verify the element write if upload is unsupported (Richard Hughes)
 - Fix a double-unref when updating any 8Bitdo device (Richard Hughes)
 - Fix crash when enumerating with Dell dock connected but with no UEFI (Mario Limonciello)
 - Fix uploading large firmware files over DFU (Richard Hughes)
 - Format the BCD USB revision numbers correctly (Richard Hughes)
 - Guess the DFU transfer size if it is not specified (Richard Hughes)
 - Include the reset timeout as wValue to fix some DFU bootloaders (Richard Hughes)
 - Make the error message clearer when sans fonts are missing (Mario Limonciello)
 - Support devices with truncated DFU interface data (Richard Hughes)
 - Use the correct remote-specified username and passord when using fwupdmgr (Richard Hughes)
 - Use the correct wDetachTimeOut when writing DFU firmware (Richard Hughes)
 - Verify devices with legacy VIDs are actually 8Bitdo controllers (Richard Hughes)

Version 1.0.0
~~~~~~~~~~~~~
Released: 2017-10-09

Notes:
 - This release breaks API and ABI to remove deprecated symbols
 - libdfu is now not installed as a shared library

New Features:
 - Add a human-readable title for each remote (Richard Hughes)
 - Add a method to return a list of upgrades for a specific device (Richard Hughes)
 - Add an 'Summary' and 'Icons' properties to each device (Richard Hughes)
 - Add FuDeviceLocker to simplify device open/close lifecycles (Richard Hughes)
 - Add functionality to blacklist Dell HW with problems (Mario Limonciello)
 - Add fu_plugin_check_supported() (Richard Hughes)
 - Add fwupd_remote_get_checksum() to use in client programs (Richard Hughes)
 - Add ModifyRemote as an easy way to enable and disable remotes (Richard Hughes)
 - Add the plugin documentation to the main gtk-doc (Richard Hughes)
 - Allow plugins to depend on each other (Richard Hughes)
 - Disable the fallback USB plugin (Richard Hughes)
 - Parse the SMBIOS v2 and v3 DMI tables directly (Richard Hughes)
 - Support uploading the UEFI firmware splash image (Richard Hughes)
 - Use the intel-wmi-thunderbolt kernel module to force power (Mario Limonciello)

Bugfixes:
 - Only run SMI to toggle host MST GPIO on Dell systems with host MST (Mario Limonciello)
 - Disable unifying support if no CONFIG_HIDRAW support (Richard Hughes)
 - Do not auto-open all USB devices at startup (Richard Hughes)
 - Do not fail to load the daemon if cached metadata is invalid (Richard Hughes)
 - Do not use system-specific infomation for UEFI PCI devices (Richard Hughes)
 - Fix a crash when using fu_plugin_device_add_delay() (Richard Hughes)
 - Fix the libdfu self test failure on s390 and ppc64 (Richard Hughes)
 - Fix various printing issues with the progressbar (Richard Hughes)
 - Generate the LD script from the GObject introspection data (Richard Hughes)
 - Never fallback to an offline update from client code (Richard Hughes)
 - Only set the Dell coldplug delay when we know we need it (Mario Limonciello)
 - Prefer to use HWIDs to get DMI keys and DE table (Mario Limonciello)

Version 0.9.7
~~~~~~~~~~~~~
Released: 2017-09-01

New Features:
 - Add a configure switch for the LVFS remotes (Richard Hughes)
 - Add a FirmwareBaseURI parameter to the remote config (Richard Hughes)
 - Add a firmware builder that uses bubblewrap (Richard Hughes)
 - Add a python script to create fwupd compatible cab files from Microsoft .exe files (Max Ehrlich)
 - Add a thunderbolt plugin for new kernel interface (Christian Kellner, Yehezkel Bernat)
 - Allow plugins to get DMI data from the hardware in a safe way (Richard Hughes)
 - Allow plugins to set metadata on devices created by other plugins (Richard Hughes, Mario Limonciello)
 - Optionally install the LVFS PKCS7 root certificate (Richard Hughes)
 - Optionally use GnuTLS to verify PKCS7 certificates (Richard Hughes)

Bugfixes:
 - Add back options for HAVE_SYNAPTICS and HAVE_THUNDERBOLT (Mario Limonciello)
 - Allow configuring systemd and udev directories (Mario Limonciello)
 - Enable C99 support in meson.build (Philip Withnall)
 - Fix an incomplete cipher when using XTEA on data not in 4 byte chunks (Richard Hughes)
 - Fix minor const-correctness issues (Philip Withnall)
 - Implement thunderbolt image validation  (Yehezkel Bernat, Christian Kellner)
 - Remove the confusing ALLOW_OFFLINE and ALLOW_ONLINE flags (Richard Hughes)
 - Show a bouncing progress bar if the percentage remains at zero (Richard Hughes)
 - Use a hwid to match supported systems for synapticsmst (Mario Limonciello)
 - Use the new bootloader PIDs for Unifying pico receivers (Richard Hughes)
 - When thunderbolt is in safe mode on a Dell recover using SMBIOS (Mario Limonciello)

Version 0.9.6
~~~~~~~~~~~~~
Released: 2017-08-03

New Features:
 - Add DfuPatch to support forward-only firmware patching (Richard Hughes)
 - Add --version option to fwupdmgr (Richard Hughes, Mario Limonciello)
 - Display all errors recorded by efi_error tracing (Mario Limonciello)
 - Make building introspection optional (Patrick Ohly)
 - Support embedded devices with local firmware metadata (Richard Hughes)

Bugfixes:
 - Check all the device GUIDs against the blacklist when added (Richard Hughes)
 - Correct a memory leak in Dell plugin (Mario Limonciello, Richard Hughes)
 - Default to "en" for UEFI capsule graphics (Mario Limonciello)
 - Don't log a warning when an unknown unifying report is parsed (Richard Hughes)
 - Enable test suite via /etc/fwupd.conf (Mario Limonciello)
 - Fix a hang on 32 bit computers (Richard Hughes)
 - Fix compilation of the policy on a variety of configurations (Mario Limonciello)
 - Fix UEFI crash when the product name is NULL (Richard Hughes)
 - Make flashing ebitdo devices work with fu-ebitdo-tool (Chris Lee)
 - Make messages from installing capsules useful (Mario Limonciello)
 - Make sure the unifying percentage completion goes from 0% to 100% (Richard Hughes)
 - Run the plugin coldplug methods in a predictable order (Richard Hughes)
 - Test UEFI for kernel support during coldplug (Mario Limonciello)
 - Use new GUsb functionality to fix flashing Unifying devices (Richard Hughes)

Version 0.9.5
~~~~~~~~~~~~~
Released: 2017-07-04

New Features:
 - Add a get-remotes command to fwupdmgr (Richard Hughes)
 - Add a plugin to get the version of the AMT ME interface (Richard Hughes)
 - Add Arch Linux to CI (Bruno Pagani)
 - Add some installed tests flashing actual hardware (Richard Hughes)
 - Allow flashing Unifying devices in bootloader modes (Richard Hughes)
 - Allow ordering the metadata remotes (Richard Hughes)

Bugfixes:
 - Do not check the runtime if the DFU device is in bootloader mode (Richard Hughes)
 - Do not unlock devices when doing VerifyUpdate (Richard Hughes)
 - Filter by Unifying SwId when making HID++2.0 requests (Richard Hughes)
 - Fix downgrades when version_lowest is set (Richard Hughes)
 - Fix the self tests when running on PPC64 big endian (Richard Hughes)
 - Move the remotes parsing from the client to the server (Richard Hughes)
 - Split up the Unifying HID++2.0 and HID++1.0 functionality (Richard Hughes)
 - Store the metadata files rather than merging to one store (Richard Hughes)
 - Use a longer timeout for some Unifying operations (Richard Hughes)
 - Use the UFY DeviceID prefix for Unifying devides (Richard Hughes)

Version 0.9.4
~~~~~~~~~~~~~
Released: 2017-06-15

New Features:
 - Add installed tests that use the daemon (Richard Hughes)
 - Add the ability to restrict firmware to specific vendors (Richard Hughes)
 - Enable Travis CI for Fedora and Debian (Richard Hughes, Mario Limonciello)
 - Export some more API for dealing with checksums (Richard Hughes)
 - Generate a images for status messages during system firmware update (Peter Jones)
 - Show progress download when refreshing metadata (Richard Hughes)

Bugfixes:
 - Compile with newer versions of meson (Richard Hughes, Mario Limonciello)
 - Ensure that firmware provides are legal GUIDs (Richard Hughes)
 - Fix a common crash when refreshing metadata (Richard Hughes)
 - Use the correct type signature in the D-Bus introspection file (Richard Hughes)

Version 0.9.3
~~~~~~~~~~~~~
Released: 2017-06-07

New Features:
 - Add a 'downgrade' command to fwupdmgr (Richard Hughes)
 - Add a 'get-releases' command to fwupdmgr (Richard Hughes)
 - Add support for ConsoleKit2 (Eric Koegel)
 - Add support for Microsoft HardwareIDs (Richard Hughes)
 - Allow downloading metadata from more than just the LVFS (Richard Hughes)
 - Allow multiple checksums on devices and releases (Richard Hughes)

Bugfixes:
 - Allow to specify bindir (Timo Gurr)
 - Correctly open Unifying devices with original factory firmware (Richard Hughes)
 - Deprecate some of the old FwupdResult API (Richard Hughes)
 - Do not copy the origin from the new metadata file (Richard Hughes)
 - Do not expect a Unifying reply when issuing a REBOOT command (Richard Hughes)
 - Do not re-download firmware that exists in the cache (Richard Hughes)
 - Fix a problem when testing for a Dell system (Mario Limonciello)
 - Fix flashing new firmware to 8bitdo controllers (Richard Hughes)
 - Increase minimum required AppStream-Glib version to 0.6.13 (Chris Mayo)
 - Make documentation and man pages optional (Chris Mayo)
 - Make systemd dependency at least version 231 (Mario Limonciello)
 - Only decompress the firmware after the signature check (Richard Hughes)
 - Remove 'lib' prefix when looking for libraries (Mirco Tischler)
 - Return the remote ID when getting updates about hardware (Richard Hughes)
 - Send the daemon the remote ID when sending firmware metadata (Richard Hughes)

Version 0.9.2
~~~~~~~~~~~~~
Released: 2017-05-22

New Features:
 - Add support for Unifying DFU features (Richard Hughes)

Bugfixes:
 - Do not spew a critial warning when parsing an invalid URI (Richard Hughes)
 - Ensure device is closed if did not complete setup (Richard Hughes)
 - Ensure steelseries device is closed if it returns an invalid packet (Richard Hughes)
 - Fix man page installation location (Mario Limonciello)
 - Ignore spaces in the Unifying version prefix (Richard Hughes)
 - Set HAVE_POLKIT_0_114 when polkit is newer than 0.114 (Moritz Kiefer)

Version 0.9.1
~~~~~~~~~~~~~
Released: 2017-04-28

New Features:
 - Add a config option to allow runtime disabling plugins by name (Richard Hughes)
 - Add the Meson build system and remove autotools (Richard Hughes)
 - Support signed Intel HEX files (Richard Hughes)

Bugfixes:
 - Add DFU quirk for OpenPICC and SIMtrace (Richard Hughes)
 - Create directories in /var/cache as required (Richard Hughes)
 - Refactor the unifying plugin now we know more about the hardware (Richard Hughes)
 - Set the source origin when saving metadata (Richard Hughes)
 - Support proxy servers in fwupdmgr (Richard Hughes)
 - Use a 60 second timeout on all client downloads (Richard Hughes)

Version 0.8.1
~~~~~~~~~~~~~
Released: 2017-02-27

Bugfixes:
 - Adjust systemd confinement restrictions (Mario Limonciello, Richard Hughes)
 - Do not hardcode docbook2man path (Kai Krakow)
 - Don't initialize libsmbios on unsupported systems (Mario Limonciello)
 - Fix a crash when enumerating devices on a Dell WLD15 (Richard Hughes)
 - Fix compiler warnings (Kai Krakow)
 - Fix fwupdmgr timeout with missing pending database (Richard Hughes)

Version 0.8.0
~~~~~~~~~~~~~
Released: 2017-02-08

New Features:
 - Add a set of vfuncs that are run before and after a device update (Richard Hughes)
 - Add Dell-specific functionality to allow other plugins turn on TBT/GPIO (Mario Limonciello)
 - Add support for Intel Thunderbolt devices (Richard Hughes, Mario Limonciello)
 - Add support for Logitech Unifying devices (Richard Hughes)
 - Add support for Synaptics MST cascades hubs (Mario Limonciello)
 - Add support for the Altus-Metrum ChaosKey device (Richard Hughes)
 - Add VerifyUpdate to update the device checksums server-side (Richard Hughes)
 - Allow the metadata to match a version of fwupd and the existing fw version (Richard Hughes)

Bugfixes:
 - Add a new method for forcing a controller to flash mode (Mario Limonciello)
 - Always make sure we're getting a C99 compiler (Richard Hughes)
 - Close USB devices before error returns (Tsunghan Liu)
 - Don't read data from some DfuSe targets (Richard Hughes)
 - Include all debug messages when run with --verbose (Richard Hughes)
 - Return the pending UEFI update when not on AC power (Richard Hughes)
 - Use a heuristic for the start address if the firmware has no DfuSe footer (Richard Hughes)
 - Use more restrictive settings when running under systemd (Richard Hughes, Mario Limonciello)

Version 0.7.5
~~~~~~~~~~~~~
Released: 2016-10-19

New Features:
 - Add a 'replace-data' command to dfu-tool (Richard Hughes)
 - Use an animated progress bar when performing DFU operations (Richard Hughes)

Bugfixes:
 - Add quirks for HydraBus as it does not have a DFU runtime (Richard Hughes)
 - Don't create the UEFI dummy device if the unlock will happen on next boot (Richard Hughes)
 - Enable hardening flags on more binaries (Mario Limonciello)
 - Fix an assert when unlocking the dummy ESRT device (Richard Hughes)
 - Fix writing firmware to devices using the ST reference bootloader (Richard Hughes)
 - Match the Dell TB16 device (Mario Limonciello)
 - Re-get the quirks when the DfuDevice gets a new GUsbDevice (Richard Hughes)
 - Show the nicely formatted target name for DfuSe devices (Richard Hughes)
 - Verify devices support updating in mode they are called (Mario Limonciello)

Version 0.7.4
~~~~~~~~~~~~~
Released: 2016-09-19

New Features:
 - Add dfu_firmware_add_symbol() (Richard Hughes)
 - Allow the argument to 'dfu-tool set-release' be major.minor (Richard Hughes)
 - Load the Altos USB descriptor from ELF files (Richard Hughes)
 - Support writing the IHEX symbol table (Richard Hughes)

Bugfixes:
 - Add a fallback for older appstream-glib releases (Richard Hughes)
 - Fix a possible crash when uploading firmware files using libdfu (Richard Hughes)
 - Fix libfwupd self tests when a host-provided fwupd is not available (Richard Hughes)
 - Show the human-readable version in the 'dfu-tool dump' output (Richard Hughes)
 - Write the ELF files with the correct section type (Richard Hughes)

Version 0.7.3
~~~~~~~~~~~~~
Released: 2016-08-29

New Features:
 - Add a set-address and set-target-size commands to dfu-util (Richard Hughes)
 - Add a small library for talking with 0bitdo hardware (Richard Hughes)
 - Add Dell TPM and TB15/WD15 support via new Dell provider (Mario Limonciello)
 - Add FU_DEVICE_FLAG_NEEDS_BOOTLOADER (Richard Hughes)
 - Add fwupd_client_get_status() (Richard Hughes)
 - Add fwupd_result_get_unique_id() (Richard Hughes)
 - Add initial ELF reading and writing support to libdfu (Richard Hughes)
 - Add support for installing multiple devices from a CAB file (Richard Hughes)
 - Allow providers to export percentage completion (Richard Hughes)
 - Show a progress notification when installing firmware (Richard Hughes)
 - Show the vendor flashing instructions when installing (Richard Hughes)

Bugfixes:
 - Add XPS 9250 to Dell TPM modeswitch blacklist (Mario Limonciello)
 - Allow blacklisting devices by their GUID (Richard Hughes)
 - Conditionally enable all providers based upon installed (Mario Limonciello)
 - Display flashes left in results output when it gets low (Mario Limonciello)
 - Do not attempt to add DFU devices not in runtime mode (Richard Hughes)
 - Do not use the deprecated GNOME_COMPILE_WARNINGS (Richard Hughes)
 - Don't fail while checking versions or locked state (Richard Hughes)
 - Embed fwupd version in generated documentation (Mario Limonciello)
 - Ensure the ID is set when getting local firmware details (Richard Hughes)
 - Fix gtk-doc build when srcdir != builddir (Ting-Wei Lan)
 - Fix libdfu hang when parsing corrupt IHEX files (Richard Hughes)
 - Ignore devices that do not add at least one GUID (Richard Hughes)
 - In get-details output, display the blob filename (Mario Limonciello)
 - Save the unique ID in the pending database (Richard Hughes)
 - Support the 'DEVO' cipher kind in libdfu (Richard Hughes)
 - Switch to the Amazon S3 CDN for firmware metadata (Richard Hughes)
 - Update fwupdmgr manpage for new commands and arguments (Mario Limonciello)
 - Use a private gnupg key store (Richard Hughes)
 - Use the correct firmware when installing a composite device (Richard Hughes)
 - Use the SHA1 hash of the local file data as the origin (Richard Hughes)

Version 0.7.2
~~~~~~~~~~~~~
Released: 2016-06-13

New Features:
 - Add a GetDetailsLocal() method to eventually replace GetDetails() (Richard Hughes)
 - Add fu_device_get_alternate() (Richard Hughes)
 - Allow devices to have multiple assigned GUIDs (Richard Hughes)
 - Allow metainfo files to match only specific revisions of devices (Richard Hughes)
 - Show the DFU protocol version in 'dfu-tool list' (Richard Hughes)

Bugfixes:
 - Enforce allowing providers to take away flash abilities (Mario Limonciello)
 - Only claim the DFU interface when required (Richard Hughes)
 - Only return updatable devices from GetDevices() (Richard Hughes)

Version 0.7.1
~~~~~~~~~~~~~
Released: 2016-05-13

New Features:
 - Add a --force flag to override provider warnings (Mario Limonciello)
 - Add device-added, device-removed and device-changed signals (Richard Hughes)
 - Add dfu_image_get_element_default() (Richard Hughes)
 - Add for a new device field "Flashes Left" (Mario Limonciello)
 - Add fwupd_client_connect() (Richard Hughes)
 - Add the 'monitor' debugging command for fwupdmgr (Richard Hughes)
 - Add the 'supported' flag to the FuDevice (Richard Hughes)

Bugfixes:
 - Add summary and name field for Rival SteelSeries (Mario Limonciello)
 - Fix a critical warning when restarting the daemon (Richard Hughes)
 - Fix BE issues when reading and writing DFU files (Mario Limonciello, Richard Hughes)
 - Make the device display name nicer (Richard Hughes, Richard Hughes)
 - Match the AppStream metadata after a device has been added (Richard Hughes)
 - Remove non-interactive pinentry setting from fu-keyring (Mario Limonciello)
 - Return all update descriptions newer than the installed version (Richard Hughes)
 - Set the device description when parsing local firmware files (Richard Hughes)

Version 0.7.0
~~~~~~~~~~~~~
Released: 2016-04-01

New Features:
 - Add a version plugin for SteelSeries hardware (Richard Hughes)
 - Add FwupdClient and FwupdResult to libfwupd (Richard Hughes)
 - Generate gtk-doc documentation for libfwupd (Richard Hughes)
 - Return the device flags when getting firmware details (Richard Hughes)
 - Support other checksum kinds (Richard Hughes)

Bugfixes:
 - Add Alienware to the version quirk table (Mario Limonciello)
 - Allow the test suite to run in %check (Richard Hughes)
 - Do not return updates that require AC when on battery (Richard Hughes)
 - Do not use /tmp for downloaded files (Richard Hughes)
 - Test that GPG key import actually was successful (Mario Limonciello)

Version 0.6.3
~~~~~~~~~~~~~
Released: 2016-03-14

New Features:
 - Add an unlock method for devices (Richard Hughes)
 - Add a simple plugin infrastructure (Richard Hughes)
 - Add ESRT enable method into UEFI provider (Mario Limonciello)
 - Install the hardcoded firmware AppStream file (Richard Hughes)

Bugfixes:
 - Correct the BCD version number for DFU 1.1 (Richard Hughes)
 - Do not use deprecated API from libappstream-glib (Richard Hughes)
 - Ignore the DFU runtime on the DW1820A (Richard Hughes)
 - Only read PCI OptionROM firmware when devices are manually unlocked (Richard Hughes)
 - Require AC power before scheduling some types of firmware update (Richard Hughes)
 - Show ignored DFU devices in dfu-util, but not in fwupd (Richard Hughes)

Version 0.6.2
~~~~~~~~~~~~~
Released: 2016-02-12

New Features:
 - Add 'Created' and 'Modified' properties on managed devices (Richard Hughes)

Bugfixes:
 - Fix get-results for UEFI provider (Mario Limonciello)
 - Support vendor-specific UEFI version encodings (Richard Hughes)

Version 0.6.1
~~~~~~~~~~~~~
Released: 2016-01-19

Bugfixes:
 - Always persist ColorHug devices after replug (Richard Hughes)
 - Do not misdetect different ColorHug devices (Richard Hughes)
 - Only dump the profiling data when run with --verbose (Richard Hughes)

Version 0.6.0
~~~~~~~~~~~~~
Released: 2015-12-07

Notes:
 - This release adds a new GObject library called libdfu and a command line
   client called dfu-tool. This is a low-level tool used to upgrade USB device
   firmware and can either be shipped in the same package as fwupd or split off
   as separate subpackages.

New Features:
 - Add support for automatically updating USB DFU-capable devices (Richard Hughes)

Bugfixes:
 - Emit the changed signal after doing an update (Richard Hughes)
 - Export the AppStream ID when returning device results (Richard Hughes)
 - Fix compile with --disable-shared (Richard Hughes)
 - Use new API available in fwup 0.5 (Richard Hughes, Mario Limonciello)
 - Use the same device identification string format as Microsoft (Richard Hughes)

Version 0.5.3
~~~~~~~~~~~~~
Released: 2015-11-05

Bugfixes:
 - Avoid seeking when reading the file magic during refresh (Richard Hughes)
 - Do not assume that the compressed XML data will be NUL terminated (Richard Hughes)
 - Use the correct user agent string for fwupdmgr (Richard Hughes)

Version 0.5.2
~~~~~~~~~~~~~
Released: 2015-10-28

New Features:
 - Add profiling data to debug slow startup times (Richard Hughes)
 - Support cabinet archives files with more than one firmware (Richard Hughes)

Bugfixes:
 - Add the update description to the GetDetails results (Richard Hughes)
 - Clear the in-memory firmware store only after parsing a valid XML file (Richard Hughes)
 - Ensure D-Bus remote errors are registered at fwupdmgr startup (Richard Hughes)
 - Fix verify-update to produce components with the correct provide values (Richard Hughes)
 - Require appstream-glib 0.5.1 (Mirco Tischler)
 - Show the dotted-decimal representation of the UEFI version number (Richard Hughes)
 - When the version is from the 'FW' extension do not cache the device (Richard Hughes)

Version 0.5.1
~~~~~~~~~~~~~
Released: 2015-09-21

Bugfixes:
 - Fix the error message when no devices can be updated (Richard Hughes)
 - Fix reading symlink to prevent crash with some compilers (Kalev Lember)

Version 0.5.0
~~~~~~~~~~~~~
Released: 2015-09-15

New Features:
 - Raise the dep on GLib to support and use g_autoptr() (Richard Hughes)

Bugfixes:
 - Do not merge existing firmware metadata (Richard Hughes)
 - Do not reboot if racing with the PackageKit offline update mechanism (Richard Hughes)

Version 0.1.6
~~~~~~~~~~~~~
Released: 2015-09-10

New Features:
 - Remove fwsignd, we have the LVFS now (Richard Hughes)

Bugfixes:
 - Add application metadata when getting the updates list (Richard Hughes)
 - Depend on appstream-glib >= 0.5.0 (Richard Hughes)
 - Don't apply firmware if something else is processing the update (Richard Hughes)
 - Install fwupd into /usr/lib/$(triplet)/fwupd instead (Mario Limonciello)
 - Simplify the version properties on devices to avoid complexity (Richard Hughes)
 - Update the offline update service to invoke right command (Kalev Lember)
 - Use the new secure metadata URI (Richard Hughes)

Version 0.1.5
~~~~~~~~~~~~~
Released: 2015-08-12

Notes:
 - For the device verification code to work correctly you need at least
   libappstream-glib 0.5.0 installed.

New Features:
 - Add a Raspberry Pi firmware provider (Richard Hughes)
 - Add a simple config file to store the correct LVFS download URI (Richard Hughes)
 - Make parsing the option ROM runtime optional (Richard Hughes)

Bugfixes:
 - Allow fwupd to be autostarted by systemd (Richard Hughes)
 - Allow no arguments to 'fwupdmgr verify-update' and use sane defaults (Richard Hughes)
 - Devices with option ROM are always internal (Richard Hughes)
 - Do not pre-convert the update description from AppStream XML (Richard Hughes)
 - Fix validation of written firmware (Richard Hughes)
 - Move the verification and metadata matching phase to the daemon (Richard Hughes)
 - Sign the test binary with the correct key (Richard Hughes)
 - Use the AppStream 0.9 firmware specification by default (Richard Hughes)

Version 0.1.4
~~~~~~~~~~~~~
Released: 2015-07-25

Notes:
 - In this release we've moved the LVFS website to the fwupd project and made
   them work really well together. To update all the firmware on your system
   is now just a case of "fwupdmgr refresh && fwupdmgr update"
 - We've also added verification of BIOS and PCI ROM firmware, which may be
   useful for forensics or to verify that system updates have been applied.

New Features:
 - Actually parse the complete PCI option ROM (Richard Hughes)
 - Add a 'fwupdmgr update' command to update all devices to latest versions (Richard Hughes)
 - Add a simple signing server that operates on .cab files (Richard Hughes)
 - Add a 'verify' command that verifies the cryptographic hash of device firmware (Richard Hughes)
 - Allow clients to add new firmware metadata to the system cache (Richard Hughes)
 - Move GetUpdates to the daemon (Richard Hughes)
 - Move the LVFS website to the fwupd project (Richard Hughes)

Bugfixes:
 - Accept multiple files at one time when using fwupdmgr dump-rom (Richard Hughes)
 - Automatically download metadata using fwupdmgr if required (Richard Hughes)
 - Do not return NULL as a gboolean (Thomas Hindoe Paaboel Andersen)
 - Don't call efibootmgr after fwupdate (Mario Limonciello)
 - Fallback to offline install when calling the update argument (Mario Limonciello)
 - Fix Intel VBIOS detection on Dell hardware (Richard Hughes)
 - Reload appstream data after refreshing (Mario Limonciello)
 - Use the new LVFS GPG key (Richard Hughes)
 - Fix build: libgusb is required even without colorhug support (Jussi Kukkonen)

Version 0.1.3
~~~~~~~~~~~~~
Released: 2015-05-28

New Features:
 - Get the firmware version from the device descriptors (Richard Hughes)
 - Run the offline actions using systemd when required (Richard Hughes)
 - Support OpenHardware devices using the fwupd vendor extensions (Richard Hughes)

Bugfixes:
 - Add an UNKNOWN status so we can return meaningful enum values (Richard Hughes)
 - Coldplug the devices before acquiring the well known name (Richard Hughes)

Version 0.1.2
~~~~~~~~~~~~~
Released: 2015-04-22
 - Add some guidelines for vendors to README (Richard Hughes)
 - Only allow signed firmware to be upgraded without a password (Richard Hughes)

Version 0.1.1
~~~~~~~~~~~~~
Released: 2015-03-23

New Features:
 - Add a 'get-updates' command to fwupdmgr (Richard Hughes)
 - Add and document the offline-update lifecycle (Richard Hughes)
 - Create a libfwupd shared library (Richard Hughes)

Bugfixes:
 - Create runtime directories if they do not exist (Richard Hughes)
 - Do not crash when there are no devices to return (Richard Hughes)

Version 0.1.0
~~~~~~~~~~~~~
Released: 2015-03-16

Notes:
 - fwupd is a simple daemon to allow session software to update firmware.
